Результаты поиска

  1. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    ой! проглядел.. вот исправил. в ubuntu-16.04.5-desktop-amd64 : $ objdump -T paserver | fgrep GLIBC_2.17 0000000000000000 DF *UND* 0000000000000000 GLIBC_2.17 clock_getres 0000000000000000 DF *UND* 0000000000000000 GLIBC_2.17 clock_gettime в Astra 1.5: $ objdump -T...
  2. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    в ubuntu-16.04.5-desktop-amd64 запустил команду: $ objdump -p paserver | fgrep GLIBC_2.17 вывод консоли такой: 0x06969197 0x00 03 GLIBC_2.17 я так понял что символ мне так и не "выдали"...?
  3. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    пока никак... запустил на ubuntu, но отписаться некогда было.. . что делать дальше не знаю (гуглу про символы), так как я старый виндусятник, все это мне непонятно :-) про сертификацию нет ответа. скорее всего не пройдем.
  4. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    сегодня не удалось проверить, как запущу, отпишусь спасибо за отклик
  5. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    в этом и был мой вопрос, может у разработчиков есть пакет deb с 2.17, подписанный, установив который можно пройти сертификацию. Как я понял можно запросить ключ для подписывания и подписать любой пакет... Но как-то хотелось более правильно сделать. На последнем Орле без проблем запускается...
  6. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    дело в том что я нашел пакет: libc6_2.17-0ubuntu4_amd64.deb установил его: sudo dpkg -i libc6_2.17-0ubuntu4_amd64.deb после этой операции мой исполняемый модуль без проблем запустился. поэтому выше и запустил под Астрой где этот пакет установлен.
  7. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    т. к. программа на стадии разработки, то похоже мало что тянется:
  8. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    это с машины где нет GLIBC_2.17 это наверное не то...
  9. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    завтра приложу... рабочее время кончилось :-) спасибо за идею
  10. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    простите, я недавно в программировании под Linux. Не очень понял, что вы имели ввиду... командой nm <путь исполняемого> посмотреть какие символы тянет модуль из GLIBC_2.17?
  11. Artalex

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    Добрый день! Планируется использовать AstraLinux 1.5 se. Но для функционирования СПО необходима библиотека libc.so.6 GLIBC_2.17 и выше. Возможно ли установка нового пакета (допустим libc-dev-bin_2.24-11+deb9u3_amd64.deb)? Будет ли это считаться нарушением сертификации? Ну и, как я понимаю...